<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['inventario']) $inventario=$_GET['inventario']; else $inventario=$_POST['inventario'];
if($_GET['palet']) $palet=$_GET['palet']; else $palet=$_POST['palet'];
if($_GET['ubicacion']) $ubicacion=$_GET['ubicacion']; else $ubicacion=$_POST['ubicacion'];

if($_GET['accion']) $accion=$_GET['accion']; else $accion=$_POST['accion'];

switch($accion) {
	case 'inicio':
		$accionProxium='INICIOINVENTARIO';
		break;
	case 'fin':
		$accionProxium='STOPINVENTARIO';
		break;
}

// WSInventarioSGA#Empresa#Usuario#INICIOINVENTARIO#NumInventario;Palet

$peticion='WSInventarioSGA#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$accionProxium.'#'.$inventario.';'.$palet;

$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

$valores=explode('#',$resultado[0]['Error']);

if($valores[0]!='1') {

	if($accion=='inicio') {
	
		$_SESSION['inventarioSGA']['palet']=$palet;
		$_SESSION['inventarioSGA']['ubicacion']=$ubicacion;
		
	}
	else {

		unset($_SESSION['inventarioSGA']['palet']);
		unset($_SESSION['inventarioSGA']['ubicacion']);
		unset($_SESSION['inventarioSGA']['campos']);
		unset($_SESSION['inventarioSGA']['incluirNuevos']);
		
	}
	
}

echo $resultado[0]['Error'];

//echo "<p>".$peticion."</p>";
?>